#### D.8.8.3 boxSet

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `boxSet(B, i, I)`; `B box, i int, I interval`

Return:
  new box `C` where `C[i]==I`

Purpose:
  modifies a single entry of a box

Example:

    LIB "rootisolation.lib";
    ring R = 0,(x,y,z),dp;
    box B; B;
    ==> [0, 0] x [0, 0] x [0, 0]
    B = boxSet(B, 2, bounds(-1,1)); B;
    ==> [0, 0] x [-1, 1] x [0, 0]
    B = boxSet(B, 1, B[2]); B;
    ==> [-1, 1] x [-1, 1] x [0, 0]

User manual for Singular version 4.4.1, 2025, generated by texi2html.